// -*- c++ -*-

#ifndef EDIT_H
#define EDIT_H

#include <ktopwidget.h>
#include <qmlined.h>

class Edit : public KTopLevelWidget
{
  Q_OBJECT

public:
  Edit();

  ~Edit();

 public slots:
  void commandCallback(int id_);
  void setHint(const char *text);
  void disableCommand(int id);
  void enableCommand(int id);
  void textChanged();
  void load(const char *filename);
  void saveAs(const char *filename);
  void help();

private:
  // Child widgets
  KMenuBar *menu;
  KToolBar *toolbar; 
  KStatusBar *statusbar; 
  QMultiLineEdit *view;
  bool modified;
  QString filename_;
  void initMenuBar();
  void initToolBar();
  void initStatusBar();
  void closeEvent(QCloseEvent *e);
  int exit();
};

#endif // EDIT_H
